dojo.provide("parus.abonentReportRecalculateValuesDialog");

dojo.require("dijit.Dialog");
dojo.require("dijit.form.Button");

dojo.require("parus.parus8");
dojo.require("parus.dialog");

dojo.declare("parus.abonentReportRecalculateValuesDialog", [parus.Dialog], {

  rns: null,

  applyProgressLabel: "Рассчитываются значения показателей...",

  isSubReport: false,

  getCalcTypeCondition: function() {
    return {
      "REPORT": this.rns.join(";")
    };
  },

  show: function() {

    if (parus.parus8.optionValue("Balance_ShowCalculationParamsForm") != "0") return this.inherited(arguments)
    else {

      return (new parus.confirmationDialog({

        message: "Пересчитать значения " + (this.isSubReport ? "подотчета" : "отчета") + "?",

        onApply: dojo.hitch(this, function() {


          var progressIndicator = new parus.progressDialog({
            message: this.applyProgressLabel
          });
          progressIndicator.show();
          setTimeout(dojo.hitch(this, function() {
            this.onShow();
            this.applied = true;
            this.onApply();
            progressIndicator.close();
            progressIndicator.destroyRecursive();

            this.onClose();
          }), 1000);

          return true;

        }),

        onClose: dojo.hitch(this, this.onClose)

      })).show();



    }
  }



});